> Call POST /v1/check before a tool that writes. DENY means do not invoke the tool. For clean Markdown of any page, append .md to the page URL. For the complete index, fetch https://docs.withwrit.com/llms.txt.

# Cancel a pending agent action

POST https://api.withwrit.com/v1/agent/actions/{actionId}/cancel

Cancel a pending diff preview without executing it. The action is deleted.


Reference: https://docs.withwrit.com/api-reference/agent/cancel-a-pending-agent-action

## Servers

- `https://api.withwrit.com` (Writ gate, default)
- `https://j72ckh66ukck2kcbq3oiwxaalm0olxwb.lambda-url.us-east-1.on.aws` (Direct Lambda Function URL (fallback))

## Request

### Path parameters

- `actionId` (string, required)

## Response

### 200

Action cancelled.

- `type` (string, optional)
- `actionId` (string, optional)

## Errors

### 404 Not Found Error

Action not found.

- `any`

## Examples

**Response**

```json
{
  "type": "string",
  "actionId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.withwrit.com/v1/agent/actions/actionId/cancel"

response = requests.post(url)

print(response.json())
```

```javascript
const url = 'https://api.withwrit.com/v1/agent/actions/actionId/cancel';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withwrit.com/v1/agent/actions/actionId/cancel"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withwrit.com/v1/agent/actions/actionId/cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.withwrit.com/v1/agent/actions/actionId/cancel")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.withwrit.com/v1/agent/actions/actionId/cancel');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withwrit.com/v1/agent/actions/actionId/cancel");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withwrit.com/v1/agent/actions/actionId/cancel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```